Use this method to submit an instruction request to initiate a refund on a payment device.
In the request, include the refund amount and currency.
If the request is successful, our gateway returns information about the refund instruction and a refundInstructionId, which you need for the following methods:
- [Retrieve refund instruction](https://docs.payroc.com/api/schema/payroc-cloud/refund-instructions/retrieve) - View the details of the refund instruction.
- [Cancel refund instruction](https://docs.payroc.com/api/schema/payroc-cloud/refund-instructions/delete) - Cancel the refund instruction.
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
serialNumberstringRequired1-64 characters
Serial number that identifies the merchant’s payment device.
Headers
Idempotency-KeystringRequiredformat: "uuid"
Unique identifier that you generate for each request. You must use the [UUID v4 format](https://www.rfc-editor.org/rfc/rfc4122) for the identifier. For more information about the idempotency key, go to [Idempotency](https://docs.payroc.com/api/idempotency).
Request
This endpoint expects an object.
processingTerminalIdstringRequired4-50 characters
Unique identifier that we assigned to the terminal.
orderobjectRequired
Object that contains information about the refund.
operatorstringOptional0-50 characters
Operator who initiated the request.
customerobjectOptional
Object that contains the customer's contact details and address information.
ipAddressobjectOptional
Object that contains the IP address of the device that sent the request.
customizationOptionsobjectOptional
Object that contains available options to customize certain aspects of an instruction.
Response
Successful request. We accepted the refund instruction.
statusenum
Indicates the current status of the instruction.
canceled – The instruction was canceled before it was completed.
completed – The instruction has completed. Use the link object to check the resource.
failure – The instruction failed. Check the errorMessage field for more information.
inProgress – The instruction is currently in progress.
Allowed values:
refundInstructionIdstring1-36 characters
Unique identifier that we assigned to the refund instruction.
errorMessagestring
Description of the error that caused the instruction to fail.
Note: We return this field only if the status is failure.
linkobjectRead-only
Object that contains HATEOAS links for the resource.
Errors
400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
406
Not Acceptable Error
409
Conflict Error
415
Unsupported Media Type Error
500
Internal Server Error
Use this method to submit an instruction request to initiate a refund on a payment device.
In the request, include the refund amount and currency.
If the request is successful, our gateway returns information about the refund instruction and a refundInstructionId, which you need for the following methods:
Unique identifier that you generate for each request. You must use the UUID v4 format for the identifier. For more information about the idempotency key, go to Idempotency.